#
# spec file for package libstlport46 (Version 4.6.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libstlport_gcc4
Summary:        C++ STL library compatible with the latest ANSI/ISO C++ specification
Version:        4.6.2
Release:        8.1.moblin2
License:        Freeware
Group:          Development/Libraries/C and C++
Url:            http://www.stlport.org
Source:         STLport-%{version}.tar.bz2
Patch0:         STLport-4.6.2-gcc4.patch
Patch1:         STLport-4.6.2-includes.patch
#Patch2: build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ libstdc++-devel

%description
The ANSI/ISO C++ specifcation includes a standard C++ library, also known as
the STL. GCC by default comes with an implementation that does not comply
with this standard, but instead partly implements an older version. STLport
is freely available version, based on the SGI STL implementation. It is
fully-compliant, supported, and very fast. Includes special debugging
facilities, and interesting and useful extensions to the standard.

%package devel
Requires:       %name = %version
License:        Freeware
Summary:        Headers and Files Needed to Develop with libstlport_gcc4
Group:          Development/Libraries/C and C++

%description devel
This package allows developement with libstlport_gcc4.


%prep
%setup -n STLport-%{version}
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .includes

%build
%{__make} \
    %{?_smp_mflags} \
    -C src \
    -f gcc.mak \
    release_dynamic \
    CFLAGS="$RPM_OPT_FLAGS" \
    CXXFLAGS="$RPM_OPT_FLAGS"


%install
%{__make} \
    -C src \
    -f gcc.mak \
    install_unix \
    INSTALLDIR=%{buildroot}%{_prefix} \
    INSTALLDIR_LIB=%{buildroot}%{_libdir}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc INSTALL README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_libdir}/*.so
%{_includedir}/stlport

%changelog
* Tue Sep  1 2009 Anas Nashif <anas.nashif@intel.com> - 4.6.2
- Initial import into Moblin
* Mon Jun 22 2009 pmladek@suse.cz
- initial package, version 4.6.2
- based on the package by Fridrich Strba
- needed to improve compatibility with upstream OOo extensions (bnc#458952)
